sharkdp/numbat 软件分析报告

基础信息

项目名称:sharkdp/numbat

项目徽章:

Security Status

仓库地址:https://github.com/pterodactyl/panel

检测报告地址:https://www.murphysec.com/console/report/1729661508595965952/1729661508658880512

此报告由Murphysec提供

漏洞列表

漏洞名称 漏洞类型 MPS编号 CVE编号 漏洞等级
kind-of 存在注入漏洞 将资源暴露给错误范围 MPS-2019-17164 CVE-2019-20149 高危
Ajv v6.12.2 输入验证错误漏洞 MAID MPS-2020-10525 CVE-2020-15366 中危
node-forge 动态确定对象属性修改的控制不恰当 MPS-2020-12281 CVE-2020-7720 高危
Yargs Y18n 输入原型污染漏洞 动态确定对象属性修改的控制不恰当 MPS-2020-17543 CVE-2020-7774 严重
Ini 拒绝服务 MPS-2020-17544 CVE-2020-7788 高危
minimist 原型污染漏洞 原型污染 MPS-2020-3516 CVE-2020-7598 中危
serialize-javascript 反序列化 MPS-2020-7976 CVE-2020-7660 高危
Elliptic package 签名伪造漏洞 整数溢出或环绕 MPS-2020-8202 CVE-2020-13822 高危
url-parse 跨站重定向 MPS-2021-11194 CVE-2021-3664 中危
Indutny Elliptic 加密问题漏洞 密码算法不安全 MPS-2021-1176 CVE-2020-28498 中危
ansi-html 拒绝服务 MPS-2021-17628 CVE-2021-23424 高危
url-parse 相对路径遍历 MPS-2021-2265 CVE-2021-27515 中危
lodash 拒绝服务漏洞 拒绝服务 MPS-2021-2574 CVE-2020-28500 中危
lodash 命令注入漏洞 代码注入 MPS-2021-2638 CVE-2021-23337 高危
ssri 拒绝服务漏洞 拒绝服务 MPS-2021-3030 CVE-2021-27290 高危
Async 原型污染漏洞 原型污染 MPS-2021-34434 CVE-2021-43138 高危
minimist 安全漏洞 原型污染 MPS-2021-38405 CVE-2021-44906 严重
dns-packet 存在信息泄露漏洞 资源初始化缺失 MPS-2021-7013 CVE-2021-23386 中危
ws 存在拒绝服务漏洞 拒绝服务 MPS-2021-7109 CVE-2021-32640 中危
glob-parent 拒绝服务 MPS-2021-7827 CVE-2020-28469 高危
Digital Bazaar Forge 存在输入验证错误漏洞 跨站重定向 MPS-2022-0421 CVE-2022-0122 中危
follow-redirects 侵犯隐私 MPS-2022-0815 CVE-2022-0155 中危
EventSource 信息泄露漏洞 未授权敏感信息泄露 MPS-2022-10212 CVE-2022-1650 严重
http-proxy 拒绝服务 MPS-2022-13767 中危
lodash 拒绝服务 MPS-2022-13841 高危
node-forge 原型污染 MPS-2022-13920 中危
url-parse 存在访问限制绕过漏洞 通过用户控制密钥绕过授权机制 MPS-2022-3327 CVE-2022-0512 中危
follow-redirects 未授权敏感信息泄露 MPS-2022-3636 CVE-2022-0536 中危
node-forge 密码签名验证不当漏洞 密码学签名的验证不恰当 MPS-2022-3738 CVE-2022-24771 高危
node-forge 密码签名验证不当漏洞 密码学签名的验证不恰当 MPS-2022-3739 CVE-2022-24772 高危
node-forge 密码签名验证不当漏洞 密码学签名的验证不恰当 MPS-2022-3740 CVE-2022-24773 中危
Express 中的 qs 模块存在原型污染漏洞 原型污染 MPS-2022-3967 CVE-2022-24999 高危
url-parse 通过用户控制密钥绕过授权机制 MPS-2022-4297 CVE-2022-0639 中危
NPM url-parse授权绕过漏洞 通过用户控制密钥绕过授权机制 MPS-2022-4464 CVE-2022-0686 严重
Url-parse 通过用户控制密钥绕过授权机制 MPS-2022-4474 CVE-2022-0691 严重
terser 安全漏洞 ReDoS MPS-2022-5145 CVE-2022-25858 高危
node-semver 安全漏洞 ReDoS MPS-2022-5166 CVE-2022-25883 高危
loader-utils 安全漏洞 不正确的正则表达式 MPS-2022-53512 CVE-2022-37599 高危
loader-utils 安全漏洞 不正确的正则表达式 MPS-2022-53516 CVE-2022-37603 高危
decode-uri-component 拒绝服务 MPS-2022-56259 CVE-2022-38900 高危
minimatch 资源管理错误漏洞 拒绝服务 MPS-2022-59845 CVE-2022-3517 高危
Tauri 原型污染漏洞 原型污染 MPS-2022-65568 CVE-2022-46175 高危
fsevents 代码注入漏洞 代码注入 MPS-2ipy-muq0 CVE-2023-45311 严重
browserify-sign 密码学签名的验证不恰当 MPS-gimb-o69n CVE-2023-46234 中危

缺陷组件

组件名称 版本 最小修复版本 依赖关系 修复建议
eventsource 1.0.7 1.1.1 间接依赖 强烈建议修复
ansi-html 0.0.7 0.0.8 间接依赖 建议修复
minimist 0.0.8 1.2.6 间接依赖 建议修复
express 4.17.1 4.17.3 间接依赖 建议修复
json5 1.0.1 1.0.2 间接依赖 建议修复
y18n 4.0.0 4.0.1 间接依赖 建议修复
browserify-sign 4.0.4 4.2.2 间接依赖 建议修复
ssri 6.0.1 6.0.2 间接依赖 建议修复
ini 1.3.5 1.3.6 间接依赖 建议修复
node-forge 0.9.0 1.3.0 间接依赖 建议修复
loader-utils 1.2.3 1.4.2 间接依赖 建议修复
decode-uri-component 0.2.0 0.2.1 间接依赖 建议修复
glob-parent 3.1.0 5.1.2 间接依赖 建议修复
minimatch 3.0.4 3.0.5 间接依赖 建议修复
elliptic 6.5.2 6.5.4 间接依赖 建议修复
lodash 4.17.19 4.17.21 间接依赖 建议修复
url-parse 1.4.7 1.5.9 间接依赖 建议修复
terser 4.6.11 4.8.1 间接依赖 建议修复
qs 6.7.0 6.7.3 间接依赖 建议修复
serialize-javascript 2.1.2 3.1.0 间接依赖 建议修复
dns-packet 1.3.1 1.3.4 间接依赖 可选修复
http-proxy 1.18.0 1.18.1 间接依赖 可选修复
fsevents 1.2.9 1.2.11 间接依赖 可选修复
kind-of 6.0.2 6.0.3 间接依赖 可选修复
ws 6.2.1 6.2.2 间接依赖 可选修复
semver 5.5.0 7.5.2 间接依赖 可选修复
follow-redirects 1.11.0 1.14.8 间接依赖 可选修复
async 2.6.3 2.6.4 间接依赖 可选修复
ajv 6.5.3 6.12.3 间接依赖 可选修复
tslib 1.11.1 间接依赖

许可证风险

许可证类型 相关组件 许可证风险
MIT 392
ISC 45
BSD-3-Clause 5
BSD-2-Clause 7
Apache-2.0 5

SBOM清单

组件名称 组件版本 是否直接依赖 仓库
webpack-sources 1.4.3 间接依赖 npm
url 0.11.0 间接依赖 npm
p-try 2.0.0 间接依赖 npm
cyclist 0.2.2 间接依赖 npm
locate-path 3.0.0 间接依赖 npm
@webassemblyjs/wast-parser 1.9.0 间接依赖 npm
detect-file 1.0.0 间接依赖 npm
accepts 1.3.7 间接依赖 npm
send 0.17.1 间接依赖 npm
acorn 6.4.1 间接依赖 npm
has 1.0.3 间接依赖 npm
@webassemblyjs/wasm-gen 1.9.0 间接依赖 npm
handle-thing 2.0.1 间接依赖 npm
extend-shallow 3.0.2 间接依赖 npm
resolve-dir 1.0.1 间接依赖 npm
util 0.11.1 间接依赖 npm
browserify-rsa 4.0.1 间接依赖 npm
global-modules 2.0.0 间接依赖 npm
forwarded 0.1.2 间接依赖 npm
public-encrypt 4.0.3 间接依赖 npm
chalk 2.4.2 间接依赖 npm
compressible 2.0.18 间接依赖 npm
for-in 1.0.2 间接依赖 npm
source-map-support 0.5.18 间接依赖 npm
path-browserify 0.0.1 间接依赖 npm
@webassemblyjs/helper-code-frame 1.9.0 间接依赖 npm
dir-glob 2.2.2 直接依赖 npm
finalhandler 1.1.2 间接依赖 npm
set-value 2.0.1 间接依赖 npm
lodash 4.17.19 间接依赖 npm
http-errors 1.7.2 间接依赖 npm
multicast-dns-service-types 1.1.0 间接依赖 npm
crypto-browserify 3.12.0 间接依赖 npm
isexe 2.0.0 间接依赖 npm
ajv-errors 1.0.0 间接依赖 npm
fill-range 4.0.0 间接依赖 npm
webpack-cli 3.3.12 直接依赖 npm
connect-history-api-fallback 1.6.0 间接依赖 npm
decamelize 1.2.0 间接依赖 npm
signal-exit 3.0.2 间接依赖 npm
split-string 3.1.0 间接依赖 npm
@types/node 13.13.5 间接依赖 npm
@types/glob 7.1.1 间接依赖 npm
eventsource 1.0.7 间接依赖 npm
color-name 1.1.3 间接依赖 npm
decode-uri-component 0.2.0 间接依赖 npm
json-schema-traverse 0.4.1 间接依赖 npm
arr-flatten 1.1.0 间接依赖 npm
array-flatten 2.1.2 间接依赖 npm
es-abstract 1.17.5 间接依赖 npm
pkg-dir 3.0.0 间接依赖 npm
@webassemblyjs/wasm-opt 1.9.0 间接依赖 npm
repeat-element 1.1.2 间接依赖 npm
supports-color 6.1.0 间接依赖 npm
opn 5.5.0 间接依赖 npm
brace-expansion 1.1.11 间接依赖 npm
websocket-driver 0.6.5 间接依赖 npm
path-type 3.0.0 间接依赖 npm
wrap-ansi 5.1.0 间接依赖 npm
resolve-from 3.0.0 间接依赖 npm
braces 2.3.2 间接依赖 npm
source-map 0.5.7 间接依赖 npm
bn.js 4.11.8 间接依赖 npm
class-utils 0.3.6 间接依赖 npm
bluebird 3.7.1 间接依赖 npm
evp_bytestokey 1.0.3 间接依赖 npm
extglob 2.0.4 间接依赖 npm
define-properties 1.1.3 间接依赖 npm
unset-value 1.0.0 间接依赖 npm
mime-types 2.1.27 间接依赖 npm
source-map-resolve 0.5.2 间接依赖 npm
cookie 0.4.0 间接依赖 npm
arr-diff 4.0.0 间接依赖 npm
p-finally 1.0.0 间接依赖 npm
pumpify 1.5.1 间接依赖 npm
multicast-dns 6.2.3 间接依赖 npm
slash 1.0.0 直接依赖 npm
@webassemblyjs/ast 1.9.0 间接依赖 npm
express 4.17.1 间接依赖 npm
is-extglob 2.1.1 间接依赖 npm
semver 5.5.0 间接依赖 npm
commondir 1.0.1 间接依赖 npm
find-cache-dir 2.1.0 间接依赖 npm
hmac-drbg 1.0.1 间接依赖 npm
is-path-inside 2.1.0 间接依赖 npm
requires-port 1.0.0 间接依赖 npm
os-browserify 0.3.0 间接依赖 npm
resolve-url 0.2.1 间接依赖 npm
pbkdf2 3.0.17 间接依赖 npm
copy-concurrently 1.0.5 间接依赖 npm
merge-descriptors 1.0.1 间接依赖 npm
which 1.3.1 间接依赖 npm
ripemd160 2.0.2 间接依赖 npm
cliui 5.0.0 间接依赖 npm
rimraf 2.6.2 间接依赖 npm
from2 2.3.0 间接依赖 npm
resolve-cwd 2.0.0 间接依赖 npm
@webassemblyjs/helper-wasm-bytecode 1.9.0 间接依赖 npm
ajv-keywords 3.2.0 间接依赖 npm
mixin-deep 1.3.2 间接依赖 npm
require-directory 2.1.1 间接依赖 npm
faye-websocket 0.10.0 间接依赖 npm
proxy-addr 2.0.6 间接依赖 npm
pify 3.0.0 间接依赖 npm
randombytes 2.1.0 间接依赖 npm
fresh 0.5.2 间接依赖 npm
parse-asn1 5.1.5 间接依赖 npm
is-fullwidth-code-point 2.0.0 间接依赖 npm
arr-union 3.1.0 间接依赖 npm
ansi-colors 3.2.3 间接依赖 npm
import-local 2.0.0 间接依赖 npm
infer-owner 1.0.4 间接依赖 npm
compression 1.7.4 间接依赖 npm
retry 0.12.0 间接依赖 npm
wrappy 1.0.2 间接依赖 npm
selfsigned 1.10.7 间接依赖 npm
tty-browserify 0.0.0 间接依赖 npm
toidentifier 1.0.0 间接依赖 npm
urix 0.1.0 间接依赖 npm
serve-index 1.9.1 间接依赖 npm
@webassemblyjs/leb128 1.9.0 间接依赖 npm
@xtuc/ieee754 1.2.0 间接依赖 npm
global-prefix 1.0.2 间接依赖 npm
is-accessor-descriptor 0.1.6 间接依赖 npm
browserify-sign 4.0.4 间接依赖 npm
loader-runner 2.4.0 间接依赖 npm
ipaddr.js 1.9.1 间接依赖 npm
object-is 1.1.2 间接依赖 npm
create-hash 1.2.0 间接依赖 npm
parallel-transform 1.1.0 间接依赖 npm
camelcase 5.3.1 间接依赖 npm
color-convert 1.9.3 间接依赖 npm
uuid 3.3.2 间接依赖 npm
querystring-es3 0.2.1 间接依赖 npm
sha.js 2.4.11 间接依赖 npm
esrecurse 4.2.1 间接依赖 npm
create-hmac 1.1.7 间接依赖 npm
nice-try 1.0.4 间接依赖 npm
fast-json-stable-stringify 2.0.0 间接依赖 npm
yargs 13.3.2 间接依赖 npm
vm-browserify 1.1.2 间接依赖 npm
bonjour 3.5.0 间接依赖 npm
md5.js 1.3.5 间接依赖 npm
is-data-descriptor 0.1.4 间接依赖 npm
findup-sync 3.0.0 间接依赖 npm
regexp.prototype.flags 1.3.0 间接依赖 npm
@webassemblyjs/utf8 1.9.0 间接依赖 npm
hash-base 3.0.4 间接依赖 npm
promise-inflight 1.0.1 间接依赖 npm
xtend 4.0.1 间接依赖 npm
parseurl 1.3.3 间接依赖 npm
json3 3.3.3 间接依赖 npm
unpipe 1.0.0 间接依赖 npm
base64-js 1.3.1 间接依赖 npm
qs 6.7.0 间接依赖 npm
is-descriptor 0.1.6 间接依赖 npm
default-gateway 4.2.0 间接依赖 npm
object-keys 1.1.1 间接依赖 npm
chokidar 2.1.8 间接依赖 npm
schema-utils 1.0.0 间接依赖 npm
p-map 2.1.0 间接依赖 npm
range-parser 1.2.1 间接依赖 npm
regex-not 1.0.2 间接依赖 npm
shebang-command 1.2.0 间接依赖 npm
browserify-des 1.0.2 间接依赖 npm
loglevel 1.6.8 间接依赖 npm
eslint-scope 4.0.3 间接依赖 npm
object.pick 1.3.0 间接依赖 npm
is-callable 1.1.5 间接依赖 npm
@types/events 3.0.0 间接依赖 npm
setimmediate 1.0.5 间接依赖 npm
randomfill 1.0.4 间接依赖 npm
isarray 1.0.0 间接依赖 npm
cache-base 1.0.1 间接依赖 npm
worker-farm 1.7.0 间接依赖 npm
emojis-list 2.1.0 间接依赖 npm
async-limiter 1.0.1 间接依赖 npm
ws 6.2.1 间接依赖 npm
@webassemblyjs/wast-printer 1.9.0 间接依赖 npm
hpack.js 2.1.6 间接依赖 npm
https-browserify 1.0.0 间接依赖 npm
to-object-path 0.3.0 间接依赖 npm
es-to-primitive 1.2.1 间接依赖 npm
component-emitter 1.2.1 间接依赖 npm
source-list-map 2.0.1 间接依赖 npm
minimalistic-assert 1.0.1 间接依赖 npm
buffer-xor 1.0.3 间接依赖 npm
create-ecdh 4.0.3 间接依赖 npm
domain-browser 1.2.0 间接依赖 npm
url-parse 1.4.7 间接依赖 npm
homedir-polyfill 1.0.3 间接依赖 npm
inherits 2.0.3 间接依赖 npm
webpack-log 2.0.0 间接依赖 npm
json5 1.0.1 间接依赖 npm
elliptic 6.5.2 间接依赖 npm
chownr 1.1.1 间接依赖 npm
async-each 1.0.1 间接依赖 npm
ssri 6.0.1 间接依赖 npm
p-locate 3.0.0 间接依赖 npm
make-dir 2.1.0 间接依赖 npm
is-windows 1.0.2 间接依赖 npm
dns-equal 1.0.0 间接依赖 npm
serve-static 1.14.1 间接依赖 npm
ip-regex 2.1.0 间接依赖 npm
escape-string-regexp 1.0.5 间接依赖 npm
array-uniq 1.0.3 间接依赖 npm
buffer 4.9.2 间接依赖 npm
end-of-stream 1.4.1 间接依赖 npm
@xtuc/long 4.2.2 间接依赖 npm
object-inspect 1.7.0 间接依赖 npm
stream-browserify 2.0.2 间接依赖 npm
has-symbols 1.0.1 间接依赖 npm
select-hose 2.0.0 间接依赖 npm
npm-run-path 2.0.2 间接依赖 npm
safe-regex 1.1.0 间接依赖 npm
cookie-signature 1.0.6 间接依赖 npm
spdy 4.0.2 间接依赖 npm
snapdragon 0.8.2 间接依赖 npm
readable-stream 2.3.6 间接依赖 npm
@webassemblyjs/helper-module-context 1.9.0 间接依赖 npm
@webassemblyjs/helper-api-error 1.9.0 间接依赖 npm
hash.js 1.1.7 间接依赖 npm
eventemitter3 4.0.2 间接依赖 npm
fsevents 1.2.9 间接依赖 npm
ms 2.0.0 间接依赖 npm
webpack-dev-middleware 3.7.2 间接依赖 npm
minimalistic-crypto-utils 1.0.1 间接依赖 npm
is-buffer 1.1.6 直接依赖 npm
mississippi 3.0.0 间接依赖 npm
browserify-cipher 1.0.1 间接依赖 npm
unique-filename 1.1.1 间接依赖 npm
function-bind 1.1.1 间接依赖 npm
is-extendable 0.1.1 间接依赖 npm
buffer-indexof 1.1.1 间接依赖 npm
yargs-parser 13.1.2 间接依赖 npm
pako 1.0.11 间接依赖 npm
object-assign 4.1.1 间接依赖 npm
websocket-extensions 0.1.4 间接依赖 npm
console-browserify 1.2.0 间接依赖 npm
p-retry 3.0.1 间接依赖 npm
ansi-styles 3.2.1 间接依赖 npm
duplexify 3.6.0 间接依赖 npm
array-union 1.0.2 间接依赖 npm
util-deprecate 1.0.2 间接依赖 npm
@webassemblyjs/helper-wasm-section 1.9.0 间接依赖 npm
is-binary-path 1.0.1 间接依赖 npm
string_decoder 1.1.1 间接依赖 npm
@webassemblyjs/helper-buffer 1.9.0 间接依赖 npm
iconv-lite 0.4.24 间接依赖 npm
yallist 3.0.3 间接依赖 npm
which-module 2.0.0 间接依赖 npm
expand-brackets 2.1.4 间接依赖 npm
execa 1.0.0 间接依赖 npm
browserify-aes 1.2.0 间接依赖 npm
nanomatch 1.2.13 间接依赖 npm
array-unique 0.3.2 间接依赖 npm
negotiator 0.6.2 间接依赖 npm
etag 1.8.1 间接依赖 npm
lru-cache 5.1.1 间接依赖 npm
shebang-regex 1.0.0 间接依赖 npm
ansi-regex 2.1.1 间接依赖 npm
flush-write-stream 1.0.3 间接依赖 npm
strip-ansi 3.0.1 间接依赖 npm
is-path-in-cwd 2.1.0 间接依赖 npm
safer-buffer 2.1.2 间接依赖 npm
get-caller-file 2.0.5 间接依赖 npm
brorand 1.1.0 间接依赖 npm
ignore 3.3.10 直接依赖 npm
constants-browserify 1.0.0 间接依赖 npm
process-nextick-args 2.0.0 间接依赖 npm
string-width 3.1.0 间接依赖 npm
html-entities 1.3.1 间接依赖 npm
batch 0.6.1 间接依赖 npm
find-up 3.0.0 间接依赖 npm
follow-redirects 1.11.0 间接依赖 npm
through2 2.0.3 间接依赖 npm
is-stream 1.1.0 间接依赖 npm
terser 4.6.11 间接依赖 npm
terser-webpack-plugin 1.4.3 间接依赖 npm
on-headers 1.0.2 间接依赖 npm
diffie-hellman 5.0.3 间接依赖 npm
setprototypeof 1.1.1 间接依赖 npm
http-proxy 1.18.0 间接依赖 npm
ip 1.1.5 间接依赖 npm
ini 1.3.5 间接依赖 npm
readdirp 2.2.1 间接依赖 npm
http-deceiver 1.2.7 间接依赖 npm
imurmurhash 0.1.4 间接依赖 npm
builtin-status-codes 3.0.0 间接依赖 npm
to-regex-range 2.1.1 间接依赖 npm
concat-stream 1.6.2 间接依赖 npm
string.prototype.trimright 2.1.2 间接依赖 npm
static-extend 0.1.2 间接依赖 npm
collection-visit 1.0.0 间接依赖 npm
unique-slug 2.0.0 间接依赖 npm
is-absolute-url 3.0.3 间接依赖 npm
glob 7.1.2 间接依赖 npm
ieee754 1.1.13 间接依赖 npm
typedarray 0.0.6 间接依赖 npm
json-parse-better-errors 1.0.2 间接依赖 npm
original 1.0.2 间接依赖 npm
snapdragon-node 2.1.1 间接依赖 npm
mime 1.6.0 间接依赖 npm
path-to-regexp 0.1.7 间接依赖 npm
on-finished 2.3.0 间接依赖 npm
content-type 1.0.4 间接依赖 npm
numbat-wasm file:../pkg 直接依赖 npm
posix-character-classes 0.1.1 间接依赖 npm
minimist 0.0.8 间接依赖 npm
destroy 1.0.4 间接依赖 npm
pump 2.0.1 间接依赖 npm
anymatch 2.0.0 间接依赖 npm
figgy-pudding 3.5.1 间接依赖 npm
has-value 1.0.0 间接依赖 npm
run-queue 1.0.3 间接依赖 npm
@webassemblyjs/wasm-edit 1.9.0 间接依赖 npm
set-blocking 2.0.0 间接依赖 npm
async 2.6.3 间接依赖 npm
des.js 1.0.1 间接依赖 npm
inflight 1.0.6 间接依赖 npm
fs.realpath 1.0.0 间接依赖 npm
kind-of 6.0.2 间接依赖 npm
emoji-regex 7.0.3 间接依赖 npm
require-main-filename 2.0.0 间接依赖 npm
fs-write-stream-atomic 1.0.10 间接依赖 npm
serialize-javascript 2.1.2 间接依赖 npm
globby 6.1.0 间接依赖 npm
encodeurl 1.0.2 间接依赖 npm
loader-utils 1.2.3 间接依赖 npm
source-map-url 0.4.0 间接依赖 npm
depd 1.1.2 间接依赖 npm
asn1.js 4.10.1 间接依赖 npm
upath 1.1.2 间接依赖 npm
memory-fs 0.4.1 间接依赖 npm
to-arraybuffer 1.0.1 间接依赖 npm
is-number 3.0.0 间接依赖 npm
safe-buffer 5.1.2 间接依赖 npm
is-wsl 1.1.0 间接依赖 npm
utils-merge 1.0.1 间接依赖 npm
events 3.1.0 间接依赖 npm
@webassemblyjs/floating-point-hex-parser 1.9.0 间接依赖 npm
stream-http 2.8.3 间接依赖 npm
big.js 5.2.2 间接依赖 npm
body-parser 1.19.0 间接依赖 npm
cipher-base 1.0.4 间接依赖 npm
methods 1.1.2 间接依赖 npm
browserify-zlib 0.2.0 间接依赖 npm
minimatch 3.0.4 间接依赖 npm
node-libs-browser 2.2.1 间接依赖 npm
stream-each 1.2.3 间接依赖 npm
dns-packet 1.3.1 间接依赖 npm
punycode 2.1.1 间接依赖 npm
@webassemblyjs/ieee754 1.9.0 间接依赖 npm
path-is-inside 1.0.2 间接依赖 npm
tslib 1.11.1 间接依赖 npm
map-cache 0.2.2 间接依赖 npm
commander 2.20.3 间接依赖 npm
parse-passwd 1.0.0 间接依赖 npm
dns-txt 2.0.2 间接依赖 npm
isobject 3.0.1 间接依赖 npm
glob-parent 3.1.0 间接依赖 npm
tapable 1.0.0 间接依赖 npm
stream-shift 1.0.0 间接依赖 npm
remove-trailing-separator 1.1.0 间接依赖 npm
path-dirname 1.0.2 间接依赖 npm
pascalcase 0.1.1 间接依赖 npm
strip-eof 1.0.0 间接依赖 npm
repeat-string 1.6.1 间接依赖 npm
escape-html 1.0.3 间接依赖 npm
move-concurrently 1.0.1 间接依赖 npm
is-path-cwd 2.2.0 间接依赖 npm
p-limit 2.1.0 间接依赖 npm
@webassemblyjs/helper-fsm 1.9.0 间接依赖 npm
content-disposition 0.5.3 间接依赖 npm
neo-async 2.6.1 间接依赖 npm
copy-webpack-plugin 5.1.1 直接依赖 npm
core-util-is 1.0.2 间接依赖 npm
expand-tilde 2.0.2 间接依赖 npm
get-value 2.0.6 间接依赖 npm
cacache 12.0.3 间接依赖 npm
once 1.4.0 间接依赖 npm
media-typer 0.3.0 间接依赖 npm
normalize-path 2.1.1 间接依赖 npm
ansi-html 0.0.7 间接依赖 npm
miller-rabin 4.0.1 间接依赖 npm
@types/minimatch 3.0.3 间接依赖 npm
is-arguments 1.0.4 间接依赖 npm
errno 0.1.7 间接依赖 npm
sockjs-client 1.4.0 间接依赖 npm
path-is-absolute 1.0.1 间接依赖 npm
statuses 1.5.0 间接依赖 npm
ajv 6.5.3 间接依赖 npm
path-key 2.0.1 间接依赖 npm
thunky 1.1.0 间接依赖 npm
@webassemblyjs/wasm-parser 1.9.0 间接依赖 npm
prr 1.0.1 间接依赖 npm
string.prototype.trimleft 2.1.2 间接依赖 npm
portfinder 1.0.26 间接依赖 npm
bytes 3.0.0 间接依赖 npm
sockjs 0.3.20 间接依赖 npm
get-stream 4.1.0 间接依赖 npm
atob 2.1.1 间接依赖 npm
timers-browserify 2.0.11 间接依赖 npm
use 3.1.1 间接依赖 npm
querystringify 2.1.1 间接依赖 npm
http-proxy-middleware 0.19.1 间接依赖 npm
y18n 4.0.0 间接依赖 npm
mkdirp 0.5.1 间接依赖 npm
path-exists 3.0.0 间接依赖 npm
ee-first 1.1.1 间接依赖 npm
v8-compile-cache 2.1.1 间接依赖 npm
define-property 2.0.2 间接依赖 npm
to-regex 3.0.2 间接依赖 npm
node-forge 0.9.0 间接依赖 npm
deep-equal 1.1.1 间接依赖 npm
snapdragon-util 3.0.1 间接依赖 npm
debug 4.1.1 间接依赖 npm
spdy-transport 3.0.0 间接依赖 npm
ret 0.1.15 间接依赖 npm
pinkie 2.0.4 间接依赖 npm
is-glob 4.0.0 间接依赖 npm
wbuf 1.7.3 间接依赖 npm
graceful-fs 4.1.11 间接依赖 npm
union-value 1.0.1 间接依赖 npm
assert 1.5.0 间接依赖 npm
base 0.11.2 间接依赖 npm
estraverse 4.3.0 间接依赖 npm
vary 1.1.2 间接依赖 npm
del 4.1.1 间接依赖 npm
object.assign 4.1.0 间接依赖 npm
internal-ip 4.3.0 间接依赖 npm
concat-map 0.0.1 间接依赖 npm
aproba 1.2.0 间接依赖 npm
fast-deep-equal 2.0.1 间接依赖 npm
killable 1.0.1 间接依赖 npm
mime-db 1.44.0 间接依赖 npm
uri-js 4.2.2 间接依赖 npm
binary-extensions 1.11.0 间接依赖 npm
detect-node 2.0.4 间接依赖 npm
webpack 4.43.0 直接依赖 npm
chrome-trace-event 1.0.2 间接依赖 npm
iferr 0.1.5 间接依赖 npm
is-regex 1.0.5 间接依赖 npm
raw-body 2.4.0 间接依赖 npm
cross-spawn 6.0.5 间接依赖 npm
watchpack 1.6.1 间接依赖 npm
type-is 1.6.18 间接依赖 npm
obuf 1.1.2 间接依赖 npm
buffer-from 1.1.1 间接依赖 npm
micromatch 3.1.10 间接依赖 npm
enhanced-resolve 4.1.0 间接依赖 npm
fragment-cache 0.2.1 间接依赖 npm
process 0.11.10 间接依赖 npm
has-flag 3.0.0 间接依赖 npm
querystring 0.2.0 间接依赖 npm
interpret 1.4.0 间接依赖 npm
balanced-match 1.0.0 间接依赖 npm
webpack-dev-server 3.11.0 直接依赖 npm
assign-symbols 1.0.0 间接依赖 npm
is-date-object 1.0.2 间接依赖 npm
pinkie-promise 2.0.1 间接依赖 npm
(0)
上一篇 2023年11月29日
下一篇 2023年11月29日

相关推荐

  • Hegaka/HGKDragAndDropRecycleBin 软件分析报告

    基础信息 项目名称:Hegaka/HGKDragAndDropRecycleBin 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1718534331169374208/1718534331211317248 此报…

    软件分析 2023年10月29日
    0
  • ahfarmer/minimal-react-starter 软件分析报告

    基础信息 项目名称:ahfarmer/minimal-react-starter 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1720530266811838464/1727318817243090944 此报告…

    软件分析 2023年11月22日
    0
  • Kryptsy/Crypto-Wallet 软件分析报告

    基础信息 项目名称:Kryptsy/Crypto-Wallet 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1721348655238643712/1727084462319030272 此报告由Murphyse…

    软件分析 2023年11月22日
    0
  • future-architect/vuls 软件分析报告

    基础信息 项目名称:future-architect/vuls 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1718010729209839616/1718010729344057344 此报告由Murphyse…

    软件分析 2023年10月28日
    0
  • gangtao/sketchify 软件分析报告

    基础信息 项目名称:gangtao/sketchify 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1718027553053917184/1718027553091665920 此报告由Murphysec提供 …

    软件分析 2023年10月28日
    0